dsenableroot(8)

NAME
dsenableroot - enables or disables the root account.

SYNOPSIS
dsenableroot [-d] [-u username] [-p password] [-r rootPassword]

DESCRIPTION
dsenableroot sets the password for the root account if enabling the root user account. Otherwise, if disable [-d] is chosen, the root account passwords are removed and the root user is disabled.

A list of flags and their descriptions:

-u username
    Username of a user that has administrative privileges on this computer.

-p password
    Password to use in conjunction with the specified username. If this is not specified, you will be prompted for entry.

-r rootPassword
    Password to be used for the root account. If this is not specified for enabling, you will be prompted for entry.

EXAMPLES

-dsenableroot
    Your username will be used and you will be queried for both your password and the new root password to be set to enable the root account.

-dsenableroot -d
    Your username will be used and you will be queried for only your password to disable the root account.

-dsenableroot -u username -p userpassword -r rootpassword
    The supplied arguments will be used to enable the root account.

-dsenableroot -d -u username -p userpassword
    The supplied arguments will be used to disable the root account.